← Renditjet

Scotland

West Region League Division 3

#EkipiPWDLPDBPPtsForma
1Clydebank RFC7511+220628WWDLW
2Paisley RFC4400+202420WWWW
3Moffat RFC5311+83317WWDL
4Waysiders/Drumpellier RFC5203+18311LLWW
5Glasgow University Medics2200+4327WW
6Hyndland RFC4103-4415WLLL
7Clydesdale RFC5104-30710LLLLW
8Isle of Mull RFC4004-18010LLLL
9Isle of Arran RFC2002-3500LL

Burimi: Scottish Rugby · kontrolluar 18 tet, 04:20 m.d. · Forma: pesë rezultatet e fundit që kemi, më i riu djathtas.

Ndeshjet dhe rezultatet →

Çdo tabelë është renditja e publikuar nga vetë liga, me pikët bonus, zbritjet dhe kriteret e barazimit. BP shfaqet kur liga e publikon; përndryshe është tashmë te Pts.